Package org.eclipse.lemminx.extensions.colors.settings

## Class XMLColorsSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.colors.settings.XMLColorsSettings

    public class XMLColorsSettings
    extends Object

XML colors settings: `"xml.colors": [ // XML colors applied for text node for android colors.xml files { "pattern": "/res/values/colors.xml", "expressions": [ { "xpath": "resources/color/text()" } ] }, // XML colors applied for @color attribute for another files { "pattern": "/my-colors.xml", "expressions": [ { "xpath": "@color" } ] } ]`

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLColorsSettings()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<XMLColors>` `getColors()`
`static XMLColorsSettings` `getXMLColorsSettings​(Object initializationOptionsSettings)`
`void` `setColors​(List<XMLColors> colors)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLColorsSettings

    public XMLColorsSettings()

### Method Detail

#### getColors

    public List<XMLColors> getColors()

#### setColors

    public void setColors​(List<XMLColors> colors)

#### getXMLColorsSettings

    public static XMLColorsSettings getXMLColorsSettings​(Object initializationOptionsSettings)